rhythmbox cover display sometimes doesn't work

Bug #533748 reported by Yunkwan on 2010-03-07
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Rhythmbox
Fix Released
Medium
rhythmbox (Ubuntu)
Low
Ubuntu Desktop Bugs

Bug Description

Binary package hint: rhythmbox

OS: lucid i386 latest

I'm happy that rhythmbox can finally read the cover that embed in my itune musics(so there's no jpg or png files in the music folder). If I double click the next song or I click the "next" button to switch to another song, the lower-left of side panel will correctly show the cover. If I let the song finish and jump to another song, then the cover will not be shown. This happens even in the same album. So, the covers will only be shown went I manually choose a song.

================================== more precisely ==================================
album cover will only be shown when you manually switch to a song or click next.

album cover can't not be shown when rhythmbox automatically jump to the next song.

audio file format: m4a, iTune plus ACC, the cover file is not in the folder. the cover is saved in the audio file tag.

ProblemType: Bug
Architecture: i386
Date: Sun Mar 7 19:27:06 2010
DistroRelease: Ubuntu 10.04
ExecutablePath: /usr/bin/rhythmbox
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100304)
Package: rhythmbox 0.12.7-0ubuntu4
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-15.22-generic
SourcePackage: rhythmbox
Uname: Linux 2.6.32-15-generic i686

Related branches

Yunkwan (chanyunkwan0217) wrote :
Sebastien Bacher (seb128) wrote :

Thank you for your bug report. The issue is an upstream one and it would be nice if somebody having it could send the bug the to the people writting the software (https://wiki.ubuntu.com/Bugs/Upstream/GNOME)

Changed in rhythmbox (Ubuntu):
importance: Undecided → Low
Sebastien Bacher (seb128) wrote :

seems similar to bug #426329

Pedro Villavicencio (pedro) wrote :

Any news on this? did you sent the bug upstream? may you tell us the bug number there? Thanks.

Changed in rhythmbox (Ubuntu):
assignee: nobody → Ubuntu Desktop Bugs (desktop-bugs)
status: New → Incomplete
tekstr1der (tekstr1der) wrote :

Attached upstream bug report.

Changed in rhythmbox:
importance: Undecided → Unknown
status: New → Unknown
tekstr1der (tekstr1der) wrote :

@Yunkwan: You should update the bug description to be more succinct.

summary: - cover something doesn't work
+ cover sometimes doesn't work
summary: - cover sometimes doesn't work
+ rhythmbox cover display sometimes doesn't work
Yunkwan (chanyunkwan0217) wrote :

just did a little bit update to describe it more precisely.

Sorry for that. I made a mistake by typing "somtimes" as "something".

description: updated
tekstr1der (tekstr1der) wrote :

This was reported fixed upstream:

>Jonathan Matthew [rhythmbox developer] 2010-03-21 10:02:10 UTC
>fixed in commits fb80b9e and 2ccdddc.

Changed in rhythmbox:
importance: Unknown → Undecided
status: Unknown → New
status: New → Fix Committed
Sebastien Bacher (seb128) wrote :

the bug has been fixed upstream now

Changed in rhythmbox (Ubuntu):
status: Incomplete → Fix Committed
Changed in rhythmbox:
importance: Undecided → Unknown
status: Fix Committed → Unknown
importance: Unknown → Undecided
status: Unknown → New
Sebastien Bacher (seb128) wrote :

setting bug watch correctly again there

Changed in rhythmbox:
importance: Undecided → Unknown
status: New → Unknown
importance: Unknown → Undecided
status: Unknown → New
importance: Undecided → Unknown
status: New → Unknown
importance: Unknown → Undecided
status: Unknown → New
importance: Undecided → Unknown
status: New → Unknown
importance: Unknown → Undecided
status: Unknown → New
importance: Undecided → Unknown
status: New → Unknown
Sebastien Bacher (seb128) wrote :

sorry about the bug noise got some launchpad issues

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package rhythmbox - 0.12.7-0ubuntu8

---------------
rhythmbox (0.12.7-0ubuntu8) lucid; urgency=low

  * updated patches ordering
  * debian/patches/12_git_correctly_unref_entry.patch:
    - git change to correct unref entries and avoid leaking
  * debian/patches/13_git_gvfs_unmount_mtp_devices.patch:
    - git change to unmount gphoto gvfs mounts so the mtp code can use those
      (lp: #348287)
  * debian/patches/14_git_null_protect.patch:
    - git change to protect against null property values
  * debian/patches/15_git_correct_podcast_update.patch:
    - git change to correctly update the podcasts lists (lp: #377189)
  * debian/patches/16_git_magnatune_fixes.patch:
    - git fixes to the magnatune code
  * debian/patches/17_git_tags_buffer.patch,
    debian/patches/18_git_notify_art_change.patch:
    - git changes to fix embedded cover not been displayed sometime
      (lp: #533748)
  * debian/patches/19_git_no_mtp_on_afc_devices.patch:
    - git change to not have mtp take over ipod for afc devices
 -- Sebastien Bacher <email address hidden> Tue, 23 Mar 2010 01:16:15 +0100

Changed in rhythmbox (Ubuntu):
status: Fix Committed → Fix Released
Changed in rhythmbox:
importance: Unknown → Medium
status: Unknown → Fix Released
eventissimus (ivan-kostyuk) wrote :

My package is rhythmbox (0.12.8-0ubuntu7) lucid
And it's still not working. Moreover, it does not start fetching.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.